/*
 * Copyright ©Rastislav Mirek. All rights reserved.
 * No waranty for this software or derived works.
 */

package cz.muni.fi.pb162.contactsexample.catalog;

/**
 * This class represents PhoneNumber.
 *
 * Created 10.12.2009 at 5:06:46.
 *
 * @author Rastislav Mirek <rmirek at mail.muni.cz>
 * @version %I%, %G%
 * @since 1.0
 */
public class PhoneNumber {

    private String type;
    private String number;

    public PhoneNumber(String type, String number) {
        if(number == null){
            throw new NullPointerException("number");
        }
        if(number.isEmpty()){
            throw new IllegalArgumentException("number is empty");
        }
        this.type = type;
        this.number = number;
    }

    public String getNumber() {
        return number;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (!(obj instanceof PhoneNumber)) {
            return false;
        }

        PhoneNumber other = (PhoneNumber) obj;
        return number.equals(other.number);
    }

    @Override
    public int hashCode() {
        return 5 * number.hashCode();
    }



    
}
